Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Lolu chungechunge lwabekwa kunqolobane. Uyacelwa ubuze umbuzo omusha uma udinga usizo.

My Mac OS, 10.5.8, won't support the most recent Firefox and I need the most recent version it WILL support and how to get it, as it's not on this site.

  • 1 baphendule
  • 20 zinale nkinga
  • 1297 views
  • Igcine ukuphendulwa ngu the-edmeister

more options

I need a way to get a more recent but not current version of Firefox that my computer, a PowerPC processor Mac, will support. I am running OS X version 10.5.8. This processor/computer will not run Lion and the most recent version of Firefox will not run on it either.

On my second computer, same type, a newer version of Firefox crashes constantly while in Yahoo!

Isisombululo esikhethiwe

Firefox 3.6.x is the last available from Mozilla for PPC Macs.
http://www.mozilla.com/en-US/firefox/all-older.html

Funda le mpendulo ngokuhambisana nalesi sihloko 👍 1

All Replies (1)

more options

Isisombululo Esikhethiwe

Firefox 3.6.x is the last available from Mozilla for PPC Macs.
http://www.mozilla.com/en-US/firefox/all-older.html